2022-05-17 18:11 AEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000558mercuryBugpublic2022-04-22 00:36
Reporterpbone 
Assigned Tojuliensf 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Platformamd64OSLinuxOS Version
Product Version 
Target VersionFixed in Version 
Summary0000558: The mprof.1 manpage is currupt
DescriptionThe mprof.1 manpage contains:

.TH 1 "2022-04-21" "Mercury Programmer's Manual"
\&../scripts/mprof: 24: exec: ../profiler/mercury_profile: not found
.SH AUTHORS
The Mercury team.
.SH COPYRIGHT
This program and its documentation are copyright by
the University of Melbourne and the Mercury team.
They may be copied only under the terms of the
GNU General Public License \-
see the file COPYING in the Mercury distribution.
.SH SEE ALSO
The Mercury User's Guide.
.PP
<http://www.mercurylang.org/information/documentation.html>
Steps To ReproduceBuild the source distribution, don't need to install, look in doc/mprof.1
Additional InformationThe script/mprof script fails to execute ../profiler/mercury_profile, it's unclear why, that executable exists.

A second problem is that the mprof script lacks the -e flag causing the error to be ignored.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001191

juliensf (administrator)

The compiler and profiler directories are missing as dependencies from the doc target in the top-level Mmakefile. (As well as any other directories containing executables that we generated manual pages for.)

~0001192

juliensf (administrator)

Fix in commit 336215914.
(The fix is available in rotd-2022-04-21 and 22.01.2-beta-2022-04-21.)

~0001193

pbone (administrator)

Thanks, I backported your patch for the debian package.
+Notes

-Issue History
Date Modified Username Field Change
2022-04-21 17:42 pbone New Issue
2022-04-21 18:37 juliensf Note Added: 0001191
2022-04-21 18:37 juliensf Assigned To => juliensf
2022-04-21 18:37 juliensf Status new => assigned
2022-04-22 00:25 juliensf Status assigned => resolved
2022-04-22 00:25 juliensf Resolution open => fixed
2022-04-22 00:25 juliensf Note Added: 0001192
2022-04-22 00:36 pbone Note Added: 0001193
+Issue History